/*+++
 *  title:      MouseWheel.m
 *  abstract:   Interface of MouseWheel InputManager for (OS|YB)/Windows.
 *  author:     Tom Hageman <tom@basil.icce.rug.nl>
 *  created:    January 1999, from an original hacque by Jeremy Bettis.
 *  modified:
 *  copyleft:
 *
 *		Copyright (C) 1999  Tom R. Hageman.
 *
 *	This is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This software is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this software; see the file COPYING.  If not, write to
 *	the Free Software Foundation, 59 Temple Place - Suite 330,
 *	Boston, MA 02111-1307, USA.
 *
 *  description:
 *     
 *---*/


#import <AppKit/AppKit.h>

@interface MouseWheel : NSObject
{
    // No Instance variables.
}

+ (void)enableMouseWheel;

+ (float)defaultMouseWheelStep;

+ (float)mouseWheelStep;
+ (void)setMouseWheelStep:(float)aValue;

@end // MouseWheel


@interface NSResponder (MouseWheelEvents)
- (void)mouseWheeledUp:sender;
- (void)mouseWheeledDown:sender;
@end
